Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jdt.debug.core
Interface IJavaModifiers

All Known Subinterfaces:
  IJavaFieldVariable, IJavaStackFrame, IJavaVariable

public interface IJavaModifiers

Modifiers common to Java debug elements that have associated Java member declarations. For example, the method associated with a stack frame, or the field associated with a variable.

Clients are not intended to implement this interface.

Method Summary
`boolean` | `isFinal()` Returns whether the associated Java construct is declared as final.
`boolean` | `isPackagePrivate()` Returns whether the associated Java construct is declared with no protection modifier (package private protection).
`boolean` | `isPrivate()` Returns whether the associated Java construct is declared as private.
`boolean` | `isProtected()` Returns whether the associated Java construct is declared as protected.
`boolean` | `isPublic()` Returns whether the associated Java construct is declared as public.
`boolean` | `isStatic()` Returns whether the associated Java construct is declared as static.
`boolean` | `isSynthetic()` Returns whether the associated Java construct is synthetic.

Method Detail

### isPublic

    public boolean isPublic()
                     throws DebugException

  Returns whether the associated Java construct is declared as public.

  Returns:
    whether the associated Java construct is declared as public
  Throws:
    `DebugException` - if this method fails. Reasons include:
    - Failure communicating with the VM. The DebugException's status code contains the underlying exception responsible for the failure.

### isPrivate

    public boolean isPrivate()
                      throws DebugException

  Returns whether the associated Java construct is declared as private.

  Returns:
    whether the associated Java construct is declared as private
  Throws:
    `DebugException` - if this method fails. Reasons include:
    - Failure communicating with the VM. The DebugException's status code contains the underlying exception responsible for the failure.

### isProtected

    public boolean isProtected()
                        throws DebugException

  Returns whether the associated Java construct is declared as protected.

  Returns:
    whether the associated Java construct is declared as protected
  Throws:
    `DebugException` - if this method fails. Reasons include:
    - Failure communicating with the VM. The DebugException's status code contains the underlying exception responsible for the failure.

### isPackagePrivate

    public boolean isPackagePrivate()
                             throws DebugException

  Returns whether the associated Java construct is declared with no protection modifier (package private protection).

  Returns:
    whether the associated Java construct is declared as package private
  Throws:
    `DebugException` - if this method fails. Reasons include:
    - Failure communicating with the VM. The DebugException's status code contains the underlying exception responsible for the failure.

### isFinal

    public boolean isFinal()
                    throws DebugException

  Returns whether the associated Java construct is declared as final.

  Returns:
    whether the associated Java construct is declared as final
  Throws:
    `DebugException` - if this method fails. Reasons include:
    - Failure communicating with the VM. The DebugException's status code contains the underlying exception responsible for the failure.

### isStatic

    public boolean isStatic()
                     throws DebugException

  Returns whether the associated Java construct is declared as static.

  Returns:
    whether the associated Java construct is declared as static
  Throws:
    `DebugException` - if this method fails. Reasons include:
    - Failure communicating with the VM. The DebugException's status code contains the underlying exception responsible for the failure.

### isSynthetic

    public boolean isSynthetic()
                        throws DebugException

  Returns whether the associated Java construct is synthetic. Synthetic members are generated by the compiler and are not present in source code.

  Returns:
    whether the associated Java construct is synthetic
  Throws:
    `DebugException` - if this method fails. Reasons include:
    - Failure communicating with the VM. The DebugException's status code contains the underlying exception responsible for the failure.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.